org.keycloak.freemarker

## Class LocaleHelper

- java.lang.Object
- - org.keycloak.freemarker.LocaleHelper

-     public class LocaleHelper
      extends Object

  Author:
    Michael Gerber

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `KC_LOCALE_PARAM`
    `static String` | `LOCALE_COOKIE`
    `static String` | `UI_LOCALES_PARAM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocaleHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Locale` | `findLocale(Set<String> supportedLocales, String... localeStrings)`
    `static Locale` | `getLocale(RealmModel realm, UserModel user)`
    `static Locale` | `getLocale(RealmModel realm, UserModel user, javax.ws.rs.core.UriInfo uriInfo, javax.ws.rs.core.HttpHeaders httpHeaders)`
    `static void` | `updateLocaleCookie(javax.ws.rs.core.Response.ResponseBuilder builder, Locale locale, RealmModel realm, javax.ws.rs.core.UriInfo uriInfo, String path)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOCALE_COOKIE

          public static final String LOCALE_COOKIE

      See Also:
        Constant Field Values

    - #### UI_LOCALES_PARAM

          public static final String UI_LOCALES_PARAM

      See Also:
        Constant Field Values

    - #### KC_LOCALE_PARAM

          public static final String KC_LOCALE_PARAM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LocaleHelper

          public LocaleHelper()

  - ### Method Detail

    - #### getLocale

          public static Locale getLocale(RealmModel realm,
                         UserModel user)

    - #### getLocale

          public static Locale getLocale(RealmModel realm,
                         UserModel user,
                         javax.ws.rs.core.UriInfo uriInfo,
                         javax.ws.rs.core.HttpHeaders httpHeaders)

    - #### updateLocaleCookie

          public static void updateLocaleCookie(javax.ws.rs.core.Response.ResponseBuilder builder,
                                Locale locale,
                                RealmModel realm,
                                javax.ws.rs.core.UriInfo uriInfo,
                                String path)

    - #### findLocale

          public static Locale findLocale(Set<String> supportedLocales,
                          String... localeStrings)

Copyright © 2015. All rights reserved.